Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005482OCamlOCaml generalpublic2012-01-18 16:342013-08-31 12:44
Reporterglondu 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.13.0+dev 
Target VersionFixed in Version 
Summary0005482: Fixes for the test-suite...
DescriptionThe test-suite currently (r12043) doesn't work on Debian because:

 - it uses a bashism (and on Debian (and Ubuntu), /bin/sh is not bash)
 - there are missing (empty) reference files
 - a reference file doesn't match the actual output

Attached are patches that fix that. I'm not sure if the last point is expected, though.
TagsNo tags attached.
Attached Filespatch file icon 0014-Fix-bashism-in-testsuite.patch [^] (852 bytes) 2012-01-18 16:34 [Show Content]
patch file icon 0015-Fix-testsuite-expected-results.patch [^] (2,633 bytes) 2012-01-18 16:34 [Show Content]

- Relationships

-  Notes
(0006724)
protz (manager)
2012-01-18 17:40

Xavier, could you mention which revision this was fixed in? Did you integrate the patch? I was unable to find out which one of your latest commits fixes this :)

Thanks,

jonathan
(0006725)
glondu (reporter)
2012-01-18 17:48

The testsuite results have been fixed, but not the bashism...
(0006726)
xclerc (developer)
2012-01-19 08:59

My bad, I thought one would run the testsuite with "SHELL=/bin/bash"
(this is what I used on Debian). Moreover, I suspect other bashisms in
the various Makefile.

For the record, the report is resolved in the trunk as of revision 12054.

- Issue History
Date Modified Username Field Change
2012-01-18 16:34 glondu New Issue
2012-01-18 16:34 glondu File Added: 0014-Fix-bashism-in-testsuite.patch
2012-01-18 16:34 glondu File Added: 0015-Fix-testsuite-expected-results.patch
2012-01-18 16:57 xclerc Assigned To => xclerc
2012-01-18 16:57 xclerc Status new => assigned
2012-01-18 17:15 xclerc Status assigned => resolved
2012-01-18 17:15 xclerc Resolution open => fixed
2012-01-18 17:40 protz Note Added: 0006724
2012-01-18 17:48 glondu Note Added: 0006725
2012-01-19 08:59 xclerc Note Added: 0006726
2013-08-31 12:44 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker